<?PHP 

    # Пишу скрипты, модули с 0 
    # PHP <> 7.4, MySQL,MySQL(i),PDO
    # author penny wise
    # telegram @the_penny_wise

    # ядро

    require_once (__DIR__."/_sys/_core.php");

    $title = 'Поиск бесплатных фильмов на телефон';
    $description = 'Найди и скачай фильм в глобальной базе фильмов на '.DOMAIN.' без ограничений или посмотри онлайн в высоком качестве.';
    $t = 'Поиск фильмов';

    if (isset($_POST['search'])) { 

    $slv_p = htmlspecialchars($_POST['slv'], ENT_QUOTES, 'UTF-8');
    $vid_p = abs(intval($_POST['vid']));
    $toch_p = abs(intval($_POST['toch']));
    
    $_SESSION['slv'] = $slv_p;	$_SESSION['vid'] = $vid_p; $_SESSION['toch'] = $toch_p;
    
    }	

    $slv = htmlspecialchars($_SESSION['slv'], ENT_QUOTES, 'UTF-8');
    $vid = abs(intval($_SESSION['vid']));
    $toch = abs(intval($_SESSION['toch']));

    $page = isset( $_GET['page'] ) ? abs(intval($_GET['page'])) : 0;

    $url = URL.'/films/search'.($page != 0 ? '/'.$vid.'/?slv='.$slv.'&toch='.$toch.'&page='.$page:'');

    # head

    require_once (__DIR__."/_sys/_head.php");

    echo '
    <div class="blm"><form action="/films/search" method="post"><div class="my_razdel">
    <strong>Слово для поиска:</strong><br/>
    <input type="text" name="slv" value="'.$slv.'"/></div><div class="my_razdel">
    <strong>Искать в:</strong><br/>
    <select name="vid">
    <option value="1">В названиях</option>
    <option value="2">В стране производителя</option>
    <option value="3">В актёрах</option>
    <option value="4">В режиссерах</option>
    <option value="5">В описании</option>
    </select><br/>
    </div><div class="my_razdel">
    <input name="toch" type="checkbox" value="1" checked="checked"/>
    <strong>Точное совпадение</strong></div>
    <div class="my_razdel">
    <input name="search" type="submit" value="Поиск"/></div>
    </form><br/>
    *В Слово для поиска пишите не менее 3 букв.</div>
    </div>
    ';

    if (!empty($slv)):

    $get = curl($url,'slv='.$slv.'&vid='.$vid.'&toch='.$toch.'&search&submit');

    preg_match('#<div class="save">По вашему запросу(.*)</div>#sU', $get, $save);

    $view = get_index($get,1);

    if ($view[0]->title != null):

    echo '<div class="save">По вашему запросу'.$save[1].'</div>';    

    foreach ($view as $data):

    if ($data->url != null):

    echo '
    <div class="my_razdel film">
    <a href="https://'.DOMAIN.'/films/'.$data->url.'"><div class="screenfilm">
    '.($data->new != null ? '<span class="newhit">'.$data->new.'</span>':'').'
    <br>
    <img src="'.$data->src.'" alt="'.$data->sti.'" title="'.$data->sti.'"></div>
    <div class="opisfilm"><div class="namefilm">'.$data->name.'</div> 
    <span class="in green">'.$data->green.'</span> 
    <span class="in sound">'.$data->sound.'</span> 
    <span class="in year">'.$data->year.'</span> 
    <br>
    ';

    foreach ($view as $genre):

    echo ($genre->genre_url == $data->url ? '<span class="in genre">'.$genre->genre.'</span>':'');   

    endforeach;  

    echo '<br>
    <span class="discripfilm">'.$data->discripfilm.'</span></div>
    <div class="clear"></div></a></div>
    ';   

    endif;    

    endforeach;   

    echo '</div>';

    page_index($get,['slv'=>$slv,'vid'=>$vid,'toch'=>$toch]);

    else: echo '</div><div class="us_msg" style="margin: 0px 4px;color: red;"><strong>Ошибка зайдите позже!</strong></div>'; endif;

    endif;    

    echo ' <div class="menuniz">
    <a href="https://'.DOMAIN.'"><img src="https://'.DOMAIN.'/style/img/back.png" alt="">На главную</a></div>';

    # foot

    require_once (__DIR__."/_sys/_foot.php");